Upgrading to Version 3.8.2

If you have Ricoh ProcessDirector or Ricoh ProcessDirector Express installed, you upgrade to Version 3.8.2 without uninstalling your existing software.

For information about the new functions and updates included in Version 3.8.2, see New in this release.

All upgrades include a license for the PDF Document Support feature. If your current version of Ricoh ProcessDirector or Ricoh ProcessDirector Express has one or more PDF document processing features, the upgrade installs the PDF Document Support feature.

If you are upgrading from a version of Ricoh ProcessDirector earlier than version 3.4, the upgrade installs the AFP Support feature, which provides AFP functions for both jobs and documents.

If you are upgrading Ricoh ProcessDirector and have another computer, we recommend that you install on that computer. By installing on a different computer, you lower the risk of problems and minimize downtime during this process. When the installation finishes, you can migrate your objects from Ricoh ProcessDirector. You can then verify the new installation while the old computer is still running.

You meet the requirements to upgrade to Version 3.8.2 of Ricoh ProcessDirector on the same computer if:

  • You have Version 3.4 or higher of Ricoh ProcessDirector or any version of Ricoh ProcessDirector Express.
  • Your system meets all the prerequisites for Version 3.8.2.
      Important:
    • The installer for Version 3.8.2 enforces prerequisites more rigorously than earlier versions of Ricoh ProcessDirector. If your operating system does not meet the minimum requirements, the installer cancels the installation. You do not need to uninstall Ricoh ProcessDirector to install an operating system upgrade.

If you have InfoPrint ProcessDirector Version 3.3 or earlier, contact your local Ricoh support representative for help upgrading the Ricoh ProcessDirector base product and any features that you have installed to Version 3.8.2.

In Ricoh ProcessDirector 3.5 or 3.5.1, the Jobs table in the updated user interface had limited function. One of the limitations was that the table only updated automatically if it contained fewer than 500 jobs. In version 3.6, that limit was increased to 1500. However, the value is not updated during the version upgrade process; you must update it manually. To update the value to 1500, log in as the system user (aiw1). Find and edit /aiw/aiw1/config/product.cfg, changing the value of the recordsPerPage entry from 500 to 1500.

The installation process upgrades the base product and almost all the features that are currently installed. Ricoh Transform features and extended features (custom software components) are not updated automatically. You install them separately after you install Version 3.8.2.

If you use more than one Ricoh Transform feature, upgrade all the transform features before you install your new license key.

If you upgrade to Version 3.7 or above of Ricoh ProcessDirector and have the Reports feature installed, the Reports feature is also upgraded. The new Reports feature uses a PostgreSQL database instead of the DB2-based database (called rptdb). Version 3.6 of Ricoh ProcessDirector introduced the PostgreSQL database. If you previously enabled the PostgreSQL database in Ricoh ProcessDirector Version 3.6 and are upgrading to Ricoh ProcessDirector Version 3.7 or above, you do not need to migrate your PostgreSQL Reports data. If you have data in the rptdb and want to keep it, you must migrate the data.

If you upgrade to Version 3.7 or above of Ricoh ProcessDirector from Version 3.6 and did not enable the PostgreSQL database or you are upgrading from Ricoh ProcessDirector Version 3.5 or earlier, you must migrate the data to keep it. The old Reports feature stored the data in the rptdb DB2 database. In Version 3.7, the Reports feature uses a PostgreSQL database and the rptdb database is removed.

Three step templates that were supplied with the DB2-based Reports feature are deprecated in this release:

  • ArchiveInserterData
  • ArchiveDocumentData
  • WriteJobReport

Workflows containing steps based on these step templates continue to run but the steps do not produce output.

If you export workflows containing these steps, you cannot import them onto a Version 3.8.2 system because those step templates are not present on the system. Remove those steps from the workflows before you export them.

To upgrade to Version 3.8.2:

  1. Verify that your system meets the prerequisites.
  2. Before upgrading your system, back up your data.
    See Backing up data for more information.
  3. Follow the installation instructions.
    See Installing for more information.
  4. After upgrading your system, restart your computer.
    Ricoh ProcessDirector starts automatically.
  5. When the installation completes, Ricoh ProcessDirector restarts. Use your browser to log in to the user interface. If an error occurs during the installation, contact Ricoh Software Support.
      Note:
    • Use the About box to verify that the product version was updated.
    • Use the Feature Manager to verify that all of your previously installed features were updated to new levels.

      Open Feature Manager by clicking AdministrationUtilitiesFeatures. If you see an error message, you must start Feature Manger manually:

      1. Log in to the primary server as the Ricoh ProcessDirector system user (aiw1 is the default).
      2. Open a command prompt and type: startaiw -f
      3. Reload the Feature Manager web page.
  6. Migrate the Reports data from rptdb to the PostgreSQL database.